gdata.sites.data | index /usr/local/svn/gdata-python-client/src/gdata/sites/data.py

`Data model classes for parsing and generating XML for the Sites Data API.`

Modules

``

atom | gdata |  |

Classes

``

atom.core.XmlElement(__builtin__.object)
  Column
  Data
  Deleted
  Field
  Header
  InReplyTo
  PageName
  Publisher
  Revision
  SiteName
  Theme
  Worksheet
atom.data.Content(atom.data.Text)
  Content
atom.data.Summary(atom.data.Text)
  Summary
gdata.acl.data.AclEntry(gdata.data.GDEntry)
  AclEntry
gdata.acl.data.AclFeed(gdata.data.GDFeed)
  AclFeed
gdata.data.GDEntry(atom.data.Entry, gdata.data.LinkFinder)
  BaseSiteEntry
    ActivityEntry
    ContentEntry
    RevisionEntry
  SiteEntry
gdata.data.GDFeed(atom.data.Feed, gdata.data.LinkFinder)
  ActivityFeed
  ContentFeed
  RevisionFeed
  SiteFeed

class AclEntry(gdata.acl.data.AclEntry)
`` | `Google Sites ACL Entry.`

Method resolution order:
  AclEntry
  gdata.acl.data.AclEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes inherited from gdata.acl.data.AclEntry:

role = <class 'gdata.acl.data.AclRole'>
  `Describes the role of an entry in an access control list.`

scope = <class 'gdata.acl.data.AclScope'>
  `Describes the scope of an entry in an access control list.`

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class AclFeed(gdata.acl.data.AclFeed)
`` | `Google Sites ACL Feed. The ACL feed can be used to modify the sharing permissions of a Site.`

Method resolution order:
  AclFeed
  gdata.acl.data.AclFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

entry = [<class 'gdata.sites.data.AclEntry'>]

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class ActivityEntry(BaseSiteEntry)
`` | `Google Sites Activity Entry.`

Method resolution order:
  ActivityEntry
  BaseSiteEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

summary = <class 'gdata.sites.data.Summary'>
  `Google Sites version of <atom:summary>.`

Methods inherited from BaseSiteEntry:

FindParentLink = find_parent_link(self)

GetNodeId = get_node_id(self)

IsDeleted = is_deleted(self)

Kind = kind(self)

__init__(self, kind=None, **kwargs)

find_parent_link(self)

get_node_id(self)

is_deleted(self)

kind(self)

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class ActivityFeed(gdata.data.GDFeed)
`` | `Google Sites Activity Feed. The Activity feed is a feed containing recent Site activity.`

Method resolution order:
  ActivityFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

entry = [<class 'gdata.sites.data.ActivityEntry'>]

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class BaseSiteEntry(gdata.data.GDEntry)
`` | `Google Sites Entry.`

Method resolution order:
  BaseSiteEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Methods defined here:

FindParentLink = find_parent_link(self)

GetNodeId = get_node_id(self)

IsDeleted = is_deleted(self)

Kind = kind(self)

__init__(self, kind=None, **kwargs)

find_parent_link(self)

get_node_id(self)

is_deleted(self)

kind(self)

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class Column(atom.core.XmlElement)
`` | `Google Sites List Page <gs:column>.`

Method resolution order:
  Column
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

index = 'index'

name = 'name'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Content(atom.data.Content)
`` | `Google Sites version of <atom:content> that encapsulates XHTML.`

Method resolution order:
  Content
  atom.data.Content
  atom.data.Text
  atom.core.XmlElement
  __builtin__.object

Methods defined here:

__init__(self, html=None, type=None, **kwargs)

Data descriptors defined here:

html

Data and other attributes inherited from atom.data.Content:

src = 'src'

Data and other attributes inherited from atom.data.Text:

type = 'type'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class ContentEntry(BaseSiteEntry)
`` | `Google Sites Content Entry.`

Method resolution order:
  ContentEntry
  BaseSiteEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Methods defined here:

FindRevisionLink = find_revison_link(self)

find_revison_link(self)

Data and other attributes defined here:

content = <class 'gdata.sites.data.Content'>
  `Google Sites version of <atom:content> that encapsulates XHTML.`

data = <class 'gdata.sites.data.Data'>
  `Google Sites List Page <gs:data>.`

deleted = <class 'gdata.sites.data.Deleted'>
  `Google Sites <gd:deleted>.`

feed_link = <class 'gdata.data.FeedLink'>
  `The gd:feedLink element.
  Represents a logically nested feed. For example, a calendar feed might
  have a nested feed representing all comments on entries.`

field = [<class 'gdata.sites.data.Field'>]

header = <class 'gdata.sites.data.Header'>
  `Google Sites List Page <gs:header>.`

in_reply_to = <class 'gdata.sites.data.InReplyTo'>
  `Google Sites List Item <thr:in-reply-to>.`

page_name = <class 'gdata.sites.data.PageName'>
  `Google Sites <sites:pageName>.`

publisher = <class 'gdata.sites.data.Publisher'>
  `Google Sites <dc:pulisher>.`

revision = <class 'gdata.sites.data.Revision'>
  `Google Sites <sites:revision>.`

worksheet = <class 'gdata.sites.data.Worksheet'>
  `Google Sites List Page <gs:worksheet>.`

Methods inherited from BaseSiteEntry:

FindParentLink = find_parent_link(self)

GetNodeId = get_node_id(self)

IsDeleted = is_deleted(self)

Kind = kind(self)

__init__(self, kind=None, **kwargs)

find_parent_link(self)

get_node_id(self)

is_deleted(self)

kind(self)

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class ContentFeed(gdata.data.GDFeed)
`` | `Google Sites Content Feed. The Content feed is a feed containing the current, editable site content.`

Method resolution order:
  ContentFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Methods defined here:

GetAnnouncementPages = get_announcement_pages(self)

GetAnnouncements = get_announcements(self)

GetAttachments = get_attachments(self)

GetComments = get_comments(self)

GetFileCabinets = get_file_cabinets(self)

GetListItems = get_list_items(self)

GetListPages = get_list_pages(self)

GetWebattachments = get_webattachments(self)

GetWebpages = get_webpages(self)

get_announcement_pages(self)

get_announcements(self)

get_attachments(self)

get_comments(self)

get_file_cabinets(self)

get_list_items(self)

get_list_pages(self)

get_webattachments(self)

get_webpages(self)

Data and other attributes defined here:

entry = [<class 'gdata.sites.data.ContentEntry'>]

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class Data(atom.core.XmlElement)
`` | `Google Sites List Page <gs:data>.`

Method resolution order:
  Data
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

column = [<class 'gdata.sites.data.Column'>]

startRow = 'startRow'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Deleted(atom.core.XmlElement)
`` | `Google Sites <gd:deleted>.`

Method resolution order:
  Deleted
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Field(atom.core.XmlElement)
`` | `Google Sites List Item <gs:field>.`

Method resolution order:
  Field
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

index = 'index'

name = 'name'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Header(atom.core.XmlElement)
`` | `Google Sites List Page <gs:header>.`

Method resolution order:
  Header
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

row = 'row'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class InReplyTo(atom.core.XmlElement)
`` | `Google Sites List Item <thr:in-reply-to>.`

Method resolution order:
  InReplyTo
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

href = 'href'

ref = 'ref'

source = 'source'

type = 'type'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class PageName(atom.core.XmlElement)
`` | `Google Sites <sites:pageName>.`

Method resolution order:
  PageName
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Publisher(atom.core.XmlElement)
`` | `Google Sites <dc:pulisher>.`

Method resolution order:
  Publisher
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Revision(atom.core.XmlElement)
`` | `Google Sites <sites:revision>.`

Method resolution order:
  Revision
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class RevisionEntry(BaseSiteEntry)
`` | `Google Sites Revision Entry.`

Method resolution order:
  RevisionEntry
  BaseSiteEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

content = <class 'gdata.sites.data.Content'>
  `Google Sites version of <atom:content> that encapsulates XHTML.`

Methods inherited from BaseSiteEntry:

FindParentLink = find_parent_link(self)

GetNodeId = get_node_id(self)

IsDeleted = is_deleted(self)

Kind = kind(self)

__init__(self, kind=None, **kwargs)

find_parent_link(self)

get_node_id(self)

is_deleted(self)

kind(self)

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class RevisionFeed(gdata.data.GDFeed)
`` | `Google Sites Revision Feed. The Activity feed is a feed containing recent Site activity.`

Method resolution order:
  RevisionFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

entry = [<class 'gdata.sites.data.RevisionEntry'>]

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class SiteEntry(gdata.data.GDEntry)
`` | `Google Sites Site Feed Entry.`

Method resolution order:
  SiteEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Methods defined here:

FindSourceLink = find_source_link(self)

find_source_link(self)

Data and other attributes defined here:

site_name = <class 'gdata.sites.data.SiteName'>
  `Google Sites <sites:siteName>.`

theme = <class 'gdata.sites.data.Theme'>
  `Google Sites <sites:theme>.`

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class SiteFeed(gdata.data.GDFeed)
`` | `Google Sites Site Feed. The Site feed can be used to list a user's sites and create new sites.`

Method resolution order:
  SiteFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

entry = [<class 'gdata.sites.data.SiteEntry'>]

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class SiteName(atom.core.XmlElement)
`` | `Google Sites <sites:siteName>.`

Method resolution order:
  SiteName
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Summary(atom.data.Summary)
`` | `Google Sites version of <atom:summary>.`

Method resolution order:
  Summary
  atom.data.Summary
  atom.data.Text
  atom.core.XmlElement
  __builtin__.object

Methods defined here:

__init__(self, html=None, type=None, text=None, **kwargs)

Data descriptors defined here:

html

Data and other attributes inherited from atom.data.Text:

type = 'type'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Theme(atom.core.XmlElement)
`` | `Google Sites <sites:theme>.`

Method resolution order:
  Theme
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Worksheet(atom.core.XmlElement)
`` | `Google Sites List Page <gs:worksheet>.`

Method resolution order:
  Worksheet
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

name = 'name'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Data

``

ANNOUNCEMENT_KIND_TERM = 'http://schemas.google.com/sites/2008#announcement'
ANNOUNCEMENT_PAGE_KIND_TERM = 'http://schemas.google.com/sites/2008#announcementspage'
ATTACHMENT_KIND_TERM = 'http://schemas.google.com/sites/2008#attachment'
COMMENT_KIND_TERM = 'http://schemas.google.com/sites/2008#comment'
DC_TERMS_TEMPLATE = '{http://purl.org/dc/terms}%s'
FILECABINET_KIND_TERM = 'http://schemas.google.com/sites/2008#filecabinet'
FOLDER_KIND_TERM = 'http://schemas.google.com/sites/2008#folder'
LISTITEM_KIND_TERM = 'http://schemas.google.com/sites/2008#listitem'
LISTPAGE_KIND_TERM = 'http://schemas.google.com/sites/2008#listpage'
SITES_KIND_SCHEME = 'http://schemas.google.com/g/2005#kind'
SITES_NAMESPACE = 'http://schemas.google.com/sites/2008'
SITES_PARENT_LINK_REL = 'http://schemas.google.com/sites/2008#parent'
SITES_REVISION_LINK_REL = 'http://schemas.google.com/sites/2008#revision'
SITES_SOURCE_LINK_REL = 'http://schemas.google.com/sites/2008#source'
SITES_TEMPLATE = '{http://schemas.google.com/sites/2008}%s'
SPREADSHEETS_NAMESPACE = 'http://schemas.google.com/spreadsheets/2006'
SPREADSHEETS_TEMPLATE = '{http://schemas.google.com/spreadsheets/2006}%s'
SUPPORT_KINDS = ['announcement', 'announcementspage', 'attachment', 'comment', 'filecabinet', 'listitem', 'listpage', 'webpage', 'webattachment']
THR_TERMS_TEMPLATE = '{http://purl.org/syndication/thread/1.0}%s'
WEBATTACHMENT_KIND_TERM = 'http://schemas.google.com/sites/2008#webattachment'
WEBPAGE_KIND_TERM = 'http://schemas.google.com/sites/2008#webpage'
XHTML_NAMESPACE = 'http://www.w3.org/1999/xhtml'
XHTML_TEMPLATE = '{http://www.w3.org/1999/xhtml}%s'
__author__ = 'e.bidelman (Eric Bidelman)'

Author
`` |  | e.bidelman (Eric Bidelman)